
--------------------------------------------------------------------------------
-- Made by (Jip) Willem Wijnia
-- See also: https://gitlab.com/w.b.wijnia/rainmakers
-- 
-- Please do not remove this message when modifying the map.
--------------------------------------------------------------------------------

do 

    -- make the config if it doesn't exist
    if not ScenarioInfo.Config then
        ScenarioInfo.Config = { };
    end

    -- set defaults, this is important in the Steam FA version of the game
    if (ScenarioInfo.Options.RainmakersObjectives == nil) then
        ScenarioInfo.Options.RainmakersObjectives = 2;
        WARN("Options: RainmakersObjectives is not set.");
    end

    if (ScenarioInfo.Options.RainmakersInitialStaticDefenses == nil) then
        ScenarioInfo.Options.RainmakersInitialStaticDefenses = 3;
        WARN("Options: RainmakersInitialStaticDefenses is not set.");
    end

    if (ScenarioInfo.Options.RainmakersStartupTime == nil) then
        ScenarioInfo.Options.RainmakersStartupTime = 2;
        WARN("Options: RainmakersStartupTime is not set.");
    end

    -- the number of outposts
    local outposts = { 0, 2, 5}

    -- the time we need to survive to complete the primrary objective: protecting the artilleries
    local objectiveTime = { 1260, 1380, 1520, 1650 };

    -- the time before the primary objective starts
    local startupTime = { 245, 180, 125, 50 };

    -- save the actual values in the config
    ScenarioInfo.Config.GeneralSettings = {
        InitialStaticDefenses = outposts[ScenarioInfo.Options.RainmakersInitialStaticDefenses],
        Difficulty = ScenarioInfo.Options.RainmakersObjectives,
        ObjectiveTime = objectiveTime[ScenarioInfo.Options.RainmakersObjectives] + math.floor(Random() * 60 - 30),
        StartupTime = startupTime[ScenarioInfo.Options.RainmakersStartupTime] + math.floor(Random() * 15),
    }

    -- save a more human-friendly version in the config
    local outpostsFriendly      = { 'Few', 'Moderate', 'Many' };
    local objectiveTimeFriendly = { 'Easy', 'Normal', 'Heroic', 'Legendary' };
    local startupTimeFriendly   = { 'Easy', 'Normal', 'Heroic', 'Legendary' };

    ScenarioInfo.Config.GeneralSettingsFriendly = {
        InitialStaticDefenses = outpostsFriendly[ScenarioInfo.Options.RainmakersInitialStaticDefenses],
        ObjectiveTime = objectiveTimeFriendly[ScenarioInfo.Options.RainmakersObjectives],
        StartupTime = startupTimeFriendly[ScenarioInfo.Options.RainmakersStartupTime],
    }

end
